package com.ruoyi.project.sems.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TSpecdevYlrqMapper;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.service.ITSpecdevYlrqService;

/**
 * 特种设备压力容器台账Service业务层处理
 *
 * @author ruoyi
 * @date 2021-06-30
 */
@Service("tSpecdevYlrqService")
public class TSpecdevYlrqServiceImpl implements ITSpecdevYlrqService
{
    @Autowired
    private TSpecdevYlrqMapper tSpecdevYlrqMapper;

    /**
     * 查询特种设备压力容器台账
     *
     * @param id 特种设备压力容器台账ID
     * @return 特种设备压力容器台账
     */
    @Override
    public TSpecdevYlrq selectTSpecdevYlrqById(Long id)
    {
        return tSpecdevYlrqMapper.selectTSpecdevYlrqById(id);
    }

    /**
     * 查询特种设备压力容器台账列表
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 特种设备压力容器台账
     */
    @Override
    public List<TSpecdevYlrq> selectTSpecdevYlrqList(TSpecdevYlrq tSpecdevYlrq)
    {
        return tSpecdevYlrqMapper.selectTSpecdevYlrqList(tSpecdevYlrq);
    }

    @Override
    public List<TSpecdevYlrq> selectTSpecdevYlrqListByYear(TSpecdevYlrq tSpecdevYlrq) {
        return tSpecdevYlrqMapper.selectTSpecdevYlrqListByYear(tSpecdevYlrq);
    }

    /**
     * 新增特种设备压力容器台账
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 结果
     */
    @Override
    public int insertTSpecdevYlrq(TSpecdevYlrq tSpecdevYlrq)
    {
        return tSpecdevYlrqMapper.insertTSpecdevYlrq(tSpecdevYlrq);
    }

    /**
     * 修改特种设备压力容器台账
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 结果
     */
    @Override
    public int updateTSpecdevYlrq(TSpecdevYlrq tSpecdevYlrq)
    {
        return tSpecdevYlrqMapper.updateTSpecdevYlrq(tSpecdevYlrq);
    }

    /**
     * 批量删除特种设备压力容器台账
     *
     * @param ids 需要删除的特种设备压力容器台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevYlrqByIds(Long[] ids)
    {
        return tSpecdevYlrqMapper.deleteTSpecdevYlrqByIds(ids);
    }

    /**
     * 删除特种设备压力容器台账信息
     *
     * @param id 特种设备压力容器台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevYlrqById(Long id)
    {
        return tSpecdevYlrqMapper.deleteTSpecdevYlrqById(id);
    }

    @Override
    public void duplicateTSpecdevYlrq() {
        tSpecdevYlrqMapper.duplicateTSpecdevYlrq();
    }
}
